package com.cftech.cms.distributor.dao;

import com.cftech.cms.distributor.model.Distributor;
import com.cftech.cms.distributor.model.DistributorDto;
import com.cftech.core.generic.GenericDao;

import java.util.List;
import java.util.Map;

/**
* Mapper
*
* @author byj
* @date: 2019-03-18 16:08
*/
public interface DistributorMapper extends GenericDao<Distributor> {

    List<DistributorDto> selectDistributor(Map<String,Object> param);

    int selectDistributorCount(Map<String,Object> param);

    DistributorDto selectDistributorDetail(Map<String,Object> param);

}